javascript hit counter

System Requirements

These guidelines are applicable to the latest releases of our software, namely Promiso 7.1 (Version 7.1.2) and its companion products. If you are running older releases, it would be wise to contact us to confirm compatibility.

NOTE: The hardware requirements should be considered the minimum; as such, they may not be applicable to your implementation. Please contact us to discuss requirements specific to your organization.

Server(s)*:

* For larger sites, two servers should be employed—one dedicated to the database server and the database, the other to the Tomcat and InfoMed applications.

Workstation:

© 2020 InfoMed Development Corporation. All rights reserved.